package wxcardvisit

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcardvisit"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/card/visit wxcardvisit SubmitApiWxCardVisit
//
// Create wx card visit information | 创建WxCardVisit
//
// Create wx card visit information | 创建WxCardVisit
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxCardVisitInfo
//
// Responses:
//  200: BaseMsgResp

func SubmitApiWxCardVisitHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxCardVisitInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcardvisit.NewSubmitApiWxCardVisitLogic(r.Context(), svcCtx)
		resp, err := l.SubmitApiWxCardVisit(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
